<?php
namespace Drupal\fxl_converge_gateway\Ajax;
use Drupal\Core\Ajax\CommandInterface;

class ReadMessageCommand implements CommandInterface {
  protected $message;
  protected $sessiontoken;
  protected $status;
  protected $status_message;
  protected $nid;

  // Constructs a ReadMessageCommand object.
  public function __construct($user_data_array) {
    $this->message = $message;
    $this->status="success";
    $this->status_message='<ul>';
    if(empty($user_data_array['ssl_first_name'])){
      $this->status="error";
      $this->status_message.="<li>Please enter valid first name.</li>";
    }

    if(empty($user_data_array['ssl_last_name'])){
      $this->status="error";
      $this->status_message.="<li>Please enter valid last name.</li>";
    }

    if(filter_var($user_data_array['ssl_email'], FILTER_VALIDATE_EMAIL) == false){
      $this->status="error";
      $this->status_message.="<li>Please enter valid Email .</li>";
    }

    if(empty($user_data_array['ssl_avs_zip'])){
      $this->status="error";
      $this->status_message.="<li>Please enter valid Postal name.</li>";
    }

    if(empty($user_data_array['ssl_amount'])){
      $this->status="error";
      $this->status_message.="<li>Please enter valid Amount name.</li>";
    }



    if($this->status=="success"){

          $merchantID = "0023461"; //Converge 6 or 7-Digit Account ID *Not the 10-Digit Elavon Merchant ID*
          $merchantUserID = "apiuser675958"; //Converge User ID *MUST FLAG AS HOSTED API USER IN CONVERGE UI*
          $merchantPinCode = "YIDN5KJKAU8F10W78P9XEM7JVUKA8KY018BHQQ26D14FG1FK8NRNAV1UCYXD5IKB"; //Converge PIN (64 CHAR A/N)
          $vendorid = "sc100323";
          $partnerid = "CN";



          $url = "https://api.demo.convergepay.com/hosted-payments/transaction_token"; // URL to Converge demo session token server
      //$url = "https://api.convergepay.com/hosted-payments/transaction_token"; // URL to Converge production session token server

      /*Payment Field Variables*/

      // In this section, we set variables to be captured by the PHP file and passed to Converge in the curl request.
      $firstname=$user_data_array['ssl_first_name']; //Post first name
      $lastname=$user_data_array['ssl_last_name']; //Post first name
      $email=$user_data_array['ssl_email']; //Post email
      $address1=$user_data_array['ssl_avs_address']; //Post first name
      $postal=$user_data_array['ssl_avs_zip']; //Post first name
      $amount= $user_data_array['ssl_amount']; //Post Tran Amount
      //$merchanttxnid = $_POST['ssl_merchant_txn_id']; //Capture user-defined ssl_merchant_txn_id as POST data
      //$invoicenumber = $_POST['ssl_invoice_number']; //Capture user-defined ssl_invoice_number as POST data

      //Follow the above pattern to add additional fields to be sent in curl request below.

      $ch = curl_init();    // initialize curl handle
      curl_setopt($ch, CURLOPT_URL,$url); // set url to post to
      curl_setopt($ch,CURLOPT_POST, true); // set POST method
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

      // Set up the post fields. If you want to add custom fields, you would add them in Converge, and add the field name in the curlopt_postfields string.
      curl_setopt($ch,CURLOPT_POSTFIELDS,
      "ssl_merchant_id=$merchantID".
      "&ssl_user_id=$merchantUserID".
      "&ssl_pin=$merchantPinCode".
      "&ssl_transaction_type=CCSALE".
      "&ssl_first_name=$firstname".
      "&ssl_last_name=$lastname".
      "&ssl_email=$email".
      "&ssl_avs_address=$address1".
      "&ssl_avs_zip=$postal".
      "&ssl_vendor_id=$vendorid".
      "&ssl_partner_app_id=$partnerid".
      "&ssl_get_token=Y".
      "&ssl_add_token=Y".
      "&ssl_amount=$amount"
      );

      curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
      curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
      curl_setopt($ch, CURLOPT_VERBOSE, true);

      $result = curl_exec($ch); // run the curl procss
      curl_close($ch); // Close cURL

      //session tokens need to be URL encoded
      //$this->sessiontoken = urlencode($result);
      $this->sessiontoken = $result;
      $this->nid=$user_data_array['nid'];


        $this->status_message.="<li>Token generated successfully.</li>";


    }

    $this->status_message.='</ul>';

//echo $sessiontoken;  //shows the session token.

  }
  // Implements Drupal\Core\Ajax\CommandInterface:render().
  public function render() {

    $return_array=array();
    if($this->status == "success"){

      $return_array=[
        'command' => 'readMessage',
        'sessiontoken' => $this->sessiontoken,
        'status' => $this->status,
        'status_message' => $this->status_message,
        'nid' => $this->nid,
      ];

    }
    elseif($this->status == "error"){

      $return_array=[
        'command' => 'readMessage',
        'status' => $this->status,
        'status_message' => $this->status_message,
      ];

    }
    return $return_array;
  }
}