<?php

namespace Drupal\fxl_converge_gateway\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\node\Entity\Node;

/**
 * Provides a 'Converge Payment' Block.
 *
 * @Block(
 *   id = "converge_gateway_block",
 *   admin_label = @Translation("Converge Gateway"),
 *   category = @Translation("Payment"),
 *
 * )
 */
class convergeBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {

    $node = \Drupal::routeMatch()->getParameter('node');
    if ($node instanceof \Drupal\node\NodeInterface) {
      // You can get nid and anything else you need from the node object.
      $nid = $node->id();
    }

    $headers = array(
      "Accept: application/vnd.api+json",
   );

   $customerInfo="";
   //API endpoint for customer information i.e. Name and address
  $urlCA = "https://sandbox.d91.fieldxlapp.com/d91/web/api/invoice/customer/$nid";

  //Get values from customer API
  $curl = curl_init($urlCA);
  curl_setopt($curl, CURLOPT_URL, $urlCA);
  curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


  curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
  //for debug only!
  curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
  curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

  $resp = curl_exec($curl);
  curl_close($curl);

  $customerData = json_decode($resp);

  $nid =  $customerData[0]->nid;
  $firstName = $customerData[0]->field_contact_fn;
  $lastName =  $customerData[0]->field_contact_ln;
  $email =  $customerData[0]->field_contact_email1;
  $address = $customerData[0]->field_address_address_line1;
  $postal =  $customerData[0]->field_address_postal_code;
  //var_dump($resp);

  $customerInfo.='<br> firstname'.$firstName;
  $customerInfo.='<br> lastName'.$lastName;
  $customerInfo.='<br> email'.$email;
  $customerInfo.='<br> address'.$address;
  $customerInfo.='<br> postal'.$postal;


  //Check if any values are null
  if(!empty($nid) && !empty($firstName) && !empty($lastName) && !empty($address) && !empty($postal)) {
      //print "Customer record good";
      //print "<br>";
      //echo $nid;
      //echo $firstName;
      //echo $lastName;
      //echo $address;
      //echo $postal;
    //get amount total


    $headers = array(
      "Accept: application/vnd.api+json",
   );


    //API endpoint for invoice grand total to pass to converge
    $urlGT = "https://sandbox.d91.fieldxlapp.com/d91/web/api/amount/$nid";

    //Check does the invoice have a grand total greater than 0
    $curl = curl_init($urlGT);
    curl_setopt($curl, CURLOPT_URL, $urlGT);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


    curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
    //for debug only!
    curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

    $resp = curl_exec($curl);
    curl_close($curl);

    $invoiceData = json_decode($resp);

    $grand_total =  $invoiceData[0]->grand_total;

    $customerInfo.=" Grand total ".$grand_total;
    $node = Node::load($nid);

    //$form_class = '\Drupal\fxl_converge_gateway\Form\ConvergegatewayForm';
    $user_data_array["firstName"]=$firstName;
    $user_data_array["lastName"]=$lastName;
    $user_data_array["address"]=$address;
    $user_data_array["email"]=$email;
    $user_data_array["postal"]=$postal;
    $user_data_array["grand_total"]=$grand_total;
    $user_data_array["field_transactionid"]=$node->field_transactionid->getValue()[0];


    $form_object= new  \Drupal\fxl_converge_gateway\Form\ConvergegatewayForm($user_data_array);

    $form = \Drupal::formBuilder()->getForm($form_object);




  }else{print "Customer record not complete. Please check the following: Name, Address, or Postal values are populated.";}

    return $form;
  }

  public function getCacheMaxAge() {
    return 0;
}


}